Package com.independentsoft.office.word.fields

# Class CheckBoxFormFieldProperties

java.lang.Object
com.independentsoft.office.word.fields.CheckBoxFormFieldProperties

public class CheckBoxFormFieldProperties extends Object
The Class CheckBoxFormFieldProperties.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CheckBoxFormFieldProperties()`
  Instantiates a new check box form field properties.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CheckBoxFormFieldProperties`
  `clone()`
  `ExtendedBoolean`
  `getAutoSize()`
  Gets the auto size.
  `ExtendedBoolean`
  `getChecked()`
  Gets the checked.
  `ExtendedBoolean`
  `getDefault()`
  Gets the default.
  `int`
  `getSize()`
  Gets the size.
  `void`
  `setAutoSize​(ExtendedBoolean autoSize)`
  Sets the auto size.
  `void`
  `setChecked​(ExtendedBoolean checkedState)`
  Sets the checked.
  `void`
  `setDefault​(ExtendedBoolean defaultState)`
  Sets the default.
  `void`
  `setSize​(int size)`
  Sets the size.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CheckBoxFormFieldProperties

    public CheckBoxFormFieldProperties()
    Instantiates a new check box form field properties.

- ## Method Details

  - ### clone

    public CheckBoxFormFieldProperties clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getChecked

    public ExtendedBoolean getChecked()
    Gets the checked.
    Returns:
      the checked

  - ### setChecked

    public void setChecked​(ExtendedBoolean checkedState)
    Sets the checked.
    Parameters:
      `checkedState` - the new checked

  - ### getDefault

    public ExtendedBoolean getDefault()
    Gets the default.
    Returns:
      the default

  - ### setDefault

    public void setDefault​(ExtendedBoolean defaultState)
    Sets the default.
    Parameters:
      `defaultState` - the new default

  - ### getSize

    public int getSize()
    Gets the size.
    Returns:
      the size

  - ### setSize

    public void setSize​(int size)
    Sets the size.
    Parameters:
      `size` - the new size

  - ### getAutoSize

    public ExtendedBoolean getAutoSize()
    Gets the auto size.
    Returns:
      the auto size

  - ### setAutoSize

    public void setAutoSize​(ExtendedBoolean autoSize)
    Sets the auto size.
    Parameters:
      `autoSize` - the new auto size